package com.persagy.dmp.middleware.controller;


import com.persagy.dmp.middleware.entity.dto.CommonRequestDTO;
import com.persagy.dmp.middleware.entity.dto.InstanceUrlParam;
import com.persagy.dmp.middleware.entity.response.CommonResult;
import com.persagy.dmp.middleware.service.IEquipService;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.ws.rs.QueryParam;

/**
 * @ClassName ObjectInstanceController
 * @Description: 设备设施模块
 * @Author linhuili
 * @Date 2021/9/10 11:17
 * @Version V1.0
 **/
@RestController
@RequestMapping("equip")
public class EquipController {

    @Autowired
    private IEquipService equipService;

    /**
     * 查询/统计设备设施下的设备/阀门
     * @param projectId
     * @param request
     * @return
     * @throws Exception
     */
    @PostMapping("/query")
    public CommonResult count(@QueryParam("groupCode") String groupCode, @QueryParam("projectId") String projectId,
                              @RequestBody CommonRequestDTO request) throws Exception {
        // 组装上下文条件
        InstanceUrlParam context = new InstanceUrlParam(groupCode, null, projectId, null);
        // 非空校验
        if(StringUtils.isEmpty(request.getBuildId())){
            throw new Exception("建筑ID不能为空");
        }
        //查询设备空间信息
        CommonResult response = equipService.query(context,request);
        return  response;
    }

}
